package com.hfkj.common.security;

import org.apache.commons.lang3.StringUtils;

public class VerifyCode {

	/**
	 * 验证码唯一标识  手机号
	 */
	private String uniqueCode;

	/**
	 * 存储验证码
	 */
	private String verifyCode;

	public VerifyCode(){

	}
	public VerifyCode(String uniqueCode, String verifyCode){
		this.uniqueCode = uniqueCode;
		this.verifyCode = verifyCode;
	}
	
	public String getUniqueCode() throws Exception {
		if(StringUtils.isEmpty(uniqueCode)){
			throw new Exception("VerifyCode uniqueCode is null");
		}
		return uniqueCode;
	}

	public void setUniqueCode(String uniqueCode) {
		this.uniqueCode = uniqueCode;
	}

	public String getObject() {
		return verifyCode;
	}

	public void setObject(String verifyCode) {
		this.verifyCode = verifyCode;
	}
	
}
